### Constructor

# GimpUi CellRendererToggle new

#### Declaration [src]

    GtkCellRenderer*
    gimp_cell_renderer_toggle_new (
      const gchar* icon_name
    )

#### Description [src]

Creates a custom version of the `GtkCellRendererToggle`. Instead of showing the standard toggle button, it shows a named icon if the cell is active and no icon otherwise. This cell renderer is for example used in the Layers treeview to indicate and control the layer’s visibility by showing `GIMP_STOCK_VISIBLE`.

Available since: | 2.2

#### Parameters

`icon_name` | `const gchar*`
| The icon name of the icon to use for the active state.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.

#### Return value

Returns: | `GtkCellRenderer`
| A new `GimpCellRendererToggle`.
| The data is owned by the called function.